﻿Type=Activity
Version=4.3
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Dim PreviousHash As String
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.

End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	'Activity.LoadLayout("Layout1")
	Activity.Title = "Notification"

End Sub

Sub Activity_Resume	
	Dim title, msg, Alert, Hash, Channel As String
	Dim StartingIntent As Intent
	Dim JSON As JSONParser	
	StartingIntent = Activity.GetStartingIntent
	
	JSON.Initialize(StartingIntent.GetExtra("com.parse.Data"))
	Dim DataMap As Map
	
	DataMap = JSON.NextObject
	Alert = DataMap.Get("alert")
	Hash = DataMap.Get("push_hash")	
	Channel = StartingIntent.GetExtra("com.parse.Channel")
	
	Log(DataMap.Get("link"))
	Log(DataMap.Get("sound"))
	
	OpenBazaarApp(DataMap.Get("link"),False)
	
	If DataMap.Get("run") = True Then
		If DataMap.Get("app") <> "" Then
			
		End If
	End If
	
	If Hash <> PreviousHash Then
		title = "New Notification"
		PreviousHash = Hash
	Else
		title = "Old Notification"
	End If

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

'open your app in bazaar
Sub OpenBazaarApp(sPackageName As String,blnView As Boolean)
Dim market As Intent, Uri As String
Uri="bazaar://details?id=" & sPackageName
If blnView = False Then
 market.Initialize(market.ACTION_EDIT,Uri)
Else
 market.Initialize(market.ACTION_VIEW,Uri)
End If
StartActivity(market)
End Sub


